Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.jmx
Class AsyncAppenderAdmin

    java.lang.Object
      org.apache.logging.log4j.core.jmx.AsyncAppenderAdmin

All Implemented Interfaces:
  AsyncAppenderAdminMBean

    public class AsyncAppenderAdmin

extends Object
implements AsyncAppenderAdminMBean

Implementation of the `AsyncAppenderAdminMBean` interface.

Field Summary

Fields inherited from interface org.apache.logging.log4j.core.jmx.AsyncAppenderAdminMBean
`PATTERN`

Constructor Summary
`AsyncAppenderAdmin(String contextName, AsyncAppender appender)` Constructs a new `AsyncAppenderAdmin` with the specified contextName and async appender.

Method Summary
`String[]` | `getAppenderRefs()` Returns a String array with the appender refs configured for the instrumented `AsyncAppender`.
`String` | `getErrorHandler()` Returns the result of calling `toString` on the error handler of this appender, or `"null"` if no error handler was set.
`String` | `getErrorRef()` Returns the name of the appender that any errors are logged to or `null`.
`String` | `getFilter()` Returns a string description of all filters configured for the instrumented `AsyncAppender`.
`String` | `getLayout()` Returns the result of calling `toString` on the `Layout` object of the instrumented `AsyncAppender`.
`String` | `getName()` Returns the name of the instrumented `AsyncAppender`.
`ObjectName` | `getObjectName()` Returns the `ObjectName` of this mbean.
`int` | `getQueueCapacity()`
`int` | `getQueueRemainingCapacity()`
`boolean` | `isBlocking()` Returns `true` if this AsyncAppender will block when the queue is full, or `false` if events are dropped when the queue is full.
`boolean` | `isIgnoreExceptions()` Returns how exceptions thrown on the instrumented `AsyncAppender` are handled.
`boolean` | `isIncludeLocation()` Returns `true` if this AsyncAppender will take a snapshot of the stack with every log event to determine the class and method where the logging call was made.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncAppenderAdmin

    public AsyncAppenderAdmin(String contextName,
                              AsyncAppender appender)

  Constructs a new `AsyncAppenderAdmin` with the specified contextName and async appender.

  Parameters:
    `contextName` - used in the `ObjectName` for this mbean
    `appender` - the instrumented object

Method Detail

### getObjectName

    public ObjectName getObjectName()

  Returns the `ObjectName` of this mbean.

  Returns:
    the `ObjectName`
  See Also:
    `AppenderAdminMBean.PATTERN`

### getName

    public String getName()

  Description copied from interface: `AsyncAppenderAdminMBean`
  Returns the name of the instrumented `AsyncAppender`.

  Specified by:
    `getName` in interface `AsyncAppenderAdminMBean`
  Returns:
    the name of the AsyncAppender

### getLayout

    public String getLayout()

  Description copied from interface: `AsyncAppenderAdminMBean`
  Returns the result of calling `toString` on the `Layout` object of the instrumented `AsyncAppender`.

  Specified by:
    `getLayout` in interface `AsyncAppenderAdminMBean`
  Returns:
    the `Layout` of the instrumented `AsyncAppender` as a string

### isIgnoreExceptions

    public boolean isIgnoreExceptions()

  Description copied from interface: `AsyncAppenderAdminMBean`
  Returns how exceptions thrown on the instrumented `AsyncAppender` are handled.

  Specified by:
    `isIgnoreExceptions` in interface `AsyncAppenderAdminMBean`
  Returns:
    `true` if any exceptions thrown by the AsyncAppender will be logged or `false` if such exceptions are re-thrown.

### getErrorHandler

    public String getErrorHandler()

  Description copied from interface: `AsyncAppenderAdminMBean`
  Returns the result of calling `toString` on the error handler of this appender, or `"null"` if no error handler was set.

  Specified by:
    `getErrorHandler` in interface `AsyncAppenderAdminMBean`
  Returns:
    result of calling `toString` on the error handler of this appender, or `"null"`

### getFilter

    public String getFilter()

  Description copied from interface: `AsyncAppenderAdminMBean`
  Returns a string description of all filters configured for the instrumented `AsyncAppender`.

  Specified by:
    `getFilter` in interface `AsyncAppenderAdminMBean`
  Returns:
    a string description of all configured filters for this appender

### getAppenderRefs

    public String[] getAppenderRefs()

  Description copied from interface: `AsyncAppenderAdminMBean`
  Returns a String array with the appender refs configured for the instrumented `AsyncAppender`.

  Specified by:
    `getAppenderRefs` in interface `AsyncAppenderAdminMBean`
  Returns:
    the appender refs for the instrumented `AsyncAppender`.

### isIncludeLocation

    public boolean isIncludeLocation()

  Returns `true` if this AsyncAppender will take a snapshot of the stack with every log event to determine the class and method where the logging call was made.

  Specified by:
    `isIncludeLocation` in interface `AsyncAppenderAdminMBean`
  Returns:
    `true` if location is included with every event, `false` otherwise

### isBlocking

    public boolean isBlocking()

  Returns `true` if this AsyncAppender will block when the queue is full, or `false` if events are dropped when the queue is full.

  Specified by:
    `isBlocking` in interface `AsyncAppenderAdminMBean`
  Returns:
    whether this AsyncAppender will block or drop events when the queue is full.

### getErrorRef

    public String getErrorRef()

  Returns the name of the appender that any errors are logged to or `null`.

  Specified by:
    `getErrorRef` in interface `AsyncAppenderAdminMBean`
  Returns:
    the name of the appender that any errors are logged to or `null`

### getQueueCapacity

    public int getQueueCapacity()

  Specified by:
    `getQueueCapacity` in interface `AsyncAppenderAdminMBean`

### getQueueRemainingCapacity

    public int getQueueRemainingCapacity()

  Specified by:
    `getQueueRemainingCapacity` in interface `AsyncAppenderAdminMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.